ADSentenceSampleStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.ad, class: ADSentenceSampleStream

# Class ADSentenceSampleStream

java.lang.Object
opennlp.tools.formats.ad.ADSentenceSampleStream

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<SentenceSample>`

@Internal public class ADSentenceSampleStream extends Object implements ObjectStream<SentenceSample>
Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADSentenceSampleStream(InputStreamFactory in, String charsetName, boolean includeHeadlines)`
  Initializes a new `ADSentenceSampleStream`.
  `ADSentenceSampleStream(ObjectStream<String> lineStream, boolean includeHeadlines)`
  Initializes a new `ADSentenceSampleStream` from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `SentenceSample`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ADSentenceSampleStream

    public ADSentenceSampleStream(ObjectStream<String> lineStream, boolean includeHeadlines)
    Initializes a new `ADSentenceSampleStream` from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.
    Parameters:
      `lineStream` - A stream of lines as `String`.
      `includeHeadlines` - If `true` will output the sentences marked as news headlines.

  - ### ADSentenceSampleStream

    public ADSentenceSampleStream(InputStreamFactory in, String charsetName, boolean includeHeadlines) throws IOException
    Initializes a new `ADSentenceSampleStream`.
    Parameters:
      `in` - The `InputStreamFactory` for the corpus.
      `charsetName` - The `charset` to use for reading of the corpus.
      `includeHeadlines` - If `true` will output the sentences marked as news headlines.
    Throws:
      `IOException` - Thrown if IO errors occurred.

- ## Method Details

  - ### read

    public SentenceSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<SentenceSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<SentenceSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<SentenceSample>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.